import json
import os

# 定义文件路径
json_file_path = '/Users/ct10345/Desktop/flutter/joker/assets/translations/zh.json'
output_file_path = '/Users/ct10345/Desktop/flutter/joker/assets/translations/values.txt'

# 读取 JSON 文件
with open(json_file_path, 'r', encoding='utf-8') as json_file:
    data = json.load(json_file)

# 提取所有值
values = data.values()

# 将值写入文本文件
with open(output_file_path, 'w', encoding='utf-8') as output_file:
    for value in values:
        output_file.write(f"{value}\n")

print(f"所有值已导出到 {output_file_path}") 